summaryrefslogtreecommitdiffstats
path: root/bin/newins
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-03-30 19:51:32 +0000
committerZac Medico <zmedico@gentoo.org>2008-03-30 19:51:32 +0000
commit5b9c3611b8dd07c731abf4cb1665163bf627df03 (patch)
treee0b8c0223d355e32419a7755ceda134c261f4d97 /bin/newins
parent6f0731d86c375d481c4214ff5ba7f00af29a8947 (diff)
downloadportage-5b9c3611b8dd07c731abf4cb1665163bf627df03.tar.gz
portage-5b9c3611b8dd07c731abf4cb1665163bf627df03.tar.bz2
portage-5b9c3611b8dd07c731abf4cb1665163bf627df03.zip
* Fix broken return value for doins.
* Make newins cleanup temp files after itself. svn path=/main/trunk/; revision=9634
Diffstat (limited to 'bin/newins')
-rwxr-xr-xbin/newins9
1 files changed, 6 insertions, 3 deletions
diff --git a/bin/newins b/bin/newins
index c64e06600..7735fc33c 100755
--- a/bin/newins
+++ b/bin/newins
@@ -8,6 +8,9 @@ if [[ -z ${T} ]] || [[ -z ${2} ]] ; then
exit 1
fi
-rm -rf "${T}/${2}" && \
-cp -f "${1}" "${T}/${2}" && \
-exec doins "${T}/${2}"
+rm -rf "${T}/${2}" || exit $?
+cp -f "${1}" "${T}/${2}" || exit $?
+doins "${T}/${2}"
+ret=$?
+rm -rf "${T}/${2}"
+exit $ret